---
products:
    new:
        limit: {{theme_settings.specialProductsTab_init_count}}
    featured:
        limit: {{theme_settings.specialProductsTab_init_count}}
    top_sellers:
        limit: {{theme_settings.specialProductsTab_init_count}}
carousel: {{theme_settings.homepage_show_carousel}}
blog:
    recent_posts:
        limit: {{theme_settings.homepage_blog_posts_count}}
shop_by_brand:
    limit: {{theme_settings.max_shop_by_brand}}
---

{{#if theme_settings.layout '===' 'left-sidebar'}}

    {{#partial "page"}}
        <div class="page">
            <div class="page-sidebar">
                {{> components/papa-supermarket/home/sidebar}}
            </div>
            <main class="page-content">

                {{{region name="home_below_menu"}}}
                {{#and carousel carousel.slides.length}}
                    {{> components/carousel arrows=theme_settings.homepage_show_carousel_arrows play_pause_button=theme_settings.homepage_show_carousel_play_pause_button}}
                {{/and}}
                {{{region name="home_below_carousel"}}}

                    {{#each shipping_messages}}
                        {{> components/common/alert-info message}}
                    {{/each}}

                    <div class="main full">
                        {{#if products.featured}}
                            {{> components/products/featured products=products.featured columns=4 display_type='grid'}}
                        {{/if}}
                        {{{region name="home_below_featured_products"}}}

                        {{#if products.top_sellers}}
                            {{> components/products/top products=products.top_sellers columns=4 display_type='grid'}}
                        {{/if}}
                        {{{region name="home_below_top_products"}}}

                        {{#if products.new}}
                            {{> components/products/new products=products.new columns=4 display_type='grid'}}
                        {{/if}}
                        {{{region name="home_below_new_products"}}}
                    </div>

            </main>
        </div>
    {{/partial}}
{{else}}
    {{#partial "hero"}}
        {{{region name="home_below_menu"}}}
        {{#and carousel carousel.slides.length}}
            {{> components/carousel arrows=theme_settings.homepage_show_carousel_arrows play_pause_button=theme_settings.homepage_show_carousel_play_pause_button}}
        {{/and}}
        {{{region name="home_below_carousel"}}}
    {{/partial}}

    {{#partial "page"}}
        {{#each shipping_messages}}
            {{> components/common/alert-info message}}
        {{/each}}

        <div class="main full">
            {{#if products.featured}}
                {{> components/products/featured products=products.featured columns=4 display_type='grid'}}
            {{/if}}
            {{{region name="home_below_featured_products"}}}

            {{#if products.top_sellers}}
                {{> components/products/top products=products.top_sellers columns=4 display_type='grid'}}
            {{/if}}
            {{{region name="home_below_top_products"}}}

            {{#if products.new}}
                {{> components/products/new products=products.new columns=4 display_type='grid'}}
            {{/if}}
            {{{region name="home_below_new_products"}}}
        </div>
    {{/partial}}
{{/if}}
{{> layout/base}}
